Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.util
Class ModuleUtil

    java.lang.Object
      net.sf.statcvs.util.ModuleUtil

    public final class ModuleUtil

extends java.lang.Object

Author:
  benoitx

Method Summary
`static java.lang.String` | `getConfigModuleName(java.lang.String moduleId)`
`static java.lang.String` | `getConfigModuleRegexp(java.lang.String moduleId)`
`static java.util.List` | `getConfigModules()`
`static boolean` | `modulesPresent()` returns true if there are some module definitions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### modulesPresent

    public static boolean modulesPresent()

  returns true if there are some module definitions

       modules=1,2,3,4
       module.1.name=Chart
       module.1.regexp=** /charts/ *.java
       module.2.name=I/O
       module.2.regexp=** /output/ *.java.** /input/ *.java
       module.3.name=Model
       module.3.regexp=** /model/ *.java|** /renderer/ *.java
       module.4.name=Pages
       module.4.regexp=** /pages/ ** / *.java,** /reportmodel/ *.java,** /reports/ *.java

### getConfigModules

    public static java.util.List getConfigModules()

### getConfigModuleName

    public static java.lang.String getConfigModuleName(java.lang.String moduleId)

### getConfigModuleRegexp

    public static java.lang.String getConfigModuleRegexp(java.lang.String moduleId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD